Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-49533

Move alfresco repository to plugins DB

    XMLWordPrintable

    Details

    • Testing Instructions:
      Hide
      Requirements
      1. Alfresco 4.2 server (available on stuff. You'll need to ssh into the VM, and run ./alfresco/alfresco.sh start after it boots)
      Testing
      1. Before upgrading, configure Alfresco to use your server
      2. Navigate to your private files and use the repository to find, and choose a file from your Alfresco server
      3. Upgrade and confirm that the repository is removed from the list of repostiries in both Admin, and the repo list
      4. git grep -i alfresco
      5. Confirm that your file is still in your private files
      6. Confirm that your file can still be downloaded and has content
      7. Download alfresco from the GitHub repository at https://github.com/moodlehq/moodle-repository_alfresco and install it
      8. Confirm that it is now listed again in the repository list
      9. Confirm that your previously configured repository remains
      10. Confirm that you can once again use it to search and download files from the remote server
      Show
      Requirements Alfresco 4.2 server (available on stuff. You'll need to ssh into the VM, and run ./alfresco/alfresco.sh start after it boots) Testing Before upgrading, configure Alfresco to use your server Navigate to your private files and use the repository to find, and choose a file from your Alfresco server Upgrade and confirm that the repository is removed from the list of repostiries in both Admin, and the repo list git grep -i alfresco Confirm that your file is still in your private files Confirm that your file can still be downloaded and has content Download alfresco from the GitHub repository at https://github.com/moodlehq/moodle-repository_alfresco and install it Confirm that it is now listed again in the repository list Confirm that your previously configured repository remains Confirm that you can once again use it to search and download files from the remote server
    • Affected Branches:
      MOODLE_29_STABLE
    • Fixed Branches:
      MOODLE_32_STABLE
    • Pull Master Branch:
      MDL-49533-master
    • Story Points:
      2
    • Sprint:
      3.2 Sprint 3

      Description

      It relies on a no longer maintained php library that does not work against current versions of alfresco.

      http://code.google.com/p/alfresco-php-sdk/

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                11 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  5/Dec/16